# Uses of Interface
jdk.jshell.SourceCodeAnalysis.SnippetWrapper

Packages that use SourceCodeAnalysis.SnippetWrapper
Package
Description
jdk.jshell
Provides interfaces for creating tools, such as a Read-Eval-Print Loop (REPL), which interactively evaluate "snippets" of Java programming language code.

## Uses of SourceCodeAnalysis.SnippetWrapper in jdk.jshell

Methods in jdk.jshell that return SourceCodeAnalysis.SnippetWrapper
Modifier and Type
Method
Description
`abstract SourceCodeAnalysis.SnippetWrapper`
SourceCodeAnalysis.`wrapper​(Snippet snippet)`
Returns the wrapper information for the `Snippet`.
Methods in jdk.jshell that return types with arguments of type SourceCodeAnalysis.SnippetWrapper
Modifier and Type
Method
Description
`abstract List<SourceCodeAnalysis.SnippetWrapper>`
SourceCodeAnalysis.`wrappers​(String input)`
Returns the wrapper information for the snippet within the input source string.